From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/lablgl/
Date: Tue, 20 Oct 2020 03:50:17 +0000 (UTC) [thread overview]
Message-ID: <1603165617.f7d6ecb979c70e0a333fb581ca73fff615f91b86.sam@gentoo> (raw)
commit: f7d6ecb979c70e0a333fb581ca73fff615f91b86
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 20 03:46:57 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 20 03:46:57 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7d6ecb9
dev-ml/lablgl: fix DeprecatedInsinto in older version
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ml/lablgl/lablgl-1.05-r1.ebuild | 37 +++++++++++++++++--------------------
1 file changed, 17 insertions(+), 20 deletions(-)
diff --git a/dev-ml/lablgl/lablgl-1.05-r1.ebuild b/dev-ml/lablgl/lablgl-1.05-r1.ebuild
index 702b90543fa..d99d7d1f793 100644
--- a/dev-ml/lablgl/lablgl-1.05-r1.ebuild
+++ b/dev-ml/lablgl/lablgl-1.05-r1.ebuild
@@ -5,12 +5,15 @@ EAPI="5"
inherit multilib eutils toolchain-funcs
-IUSE="doc glut +ocamlopt tk"
-
DESCRIPTION="Objective CAML interface for OpenGL"
HOMEPAGE="http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html"
LICENSE="BSD"
+SRC_URI="http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/${P}.tar.gz"
+SLOT="0/${PV}"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
+IUSE="doc glut +ocamlopt tk"
+
RDEPEND="
>=dev-lang/ocaml-3.10.2:=[ocamlopt?]
x11-libs/libXext
@@ -26,26 +29,21 @@ RDEPEND="
dev-ml/labltk:=
)
"
-
DEPEND="${RDEPEND}"
-SRC_URI="http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/${P}.tar.gz"
-SLOT="0/${PV}"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
-
src_configure() {
# make configuration file
- echo "BINDIR=/usr/bin" > Makefile.config
- echo "GLLIBS = -lGL -lGLU" >> Makefile.config
+ echo "BINDIR=/usr/bin" > Makefile.config || die
+ echo "GLLIBS = -lGL -lGLU" >> Makefile.config || die
if use glut; then
- echo "GLUTLIBS = -lglut" >> Makefile.config
+ echo "GLUTLIBS = -lglut" >> Makefile.config || die
else
- echo "GLUTLIBS = " >> Makefile.config
+ echo "GLUTLIBS = " >> Makefile.config || die
fi
- echo "XLIBS = -lXext -lXmu -lX11" >> Makefile.config
- echo "RANLIB = $(tc-getRANLIB)" >> Makefile.config
- echo 'COPTS = -c -O $(CFLAGS)' >> Makefile.config
- echo 'INCLUDES = $(TKINCLUDES) $(GLINCLUDES) $(XINCLUDES)' >> Makefile.config
+ echo "XLIBS = -lXext -lXmu -lX11" >> Makefile.config || die
+ echo "RANLIB = $(tc-getRANLIB)" >> Makefile.config || die
+ echo 'COPTS = -c -O $(CFLAGS)' >> Makefile.config || die
+ echo 'INCLUDES = $(TKINCLUDES) $(GLINCLUDES) $(XINCLUDES)' >> Makefile.config || die
}
src_compile() {
@@ -77,18 +75,17 @@ src_install() {
# Same for lablglut's toplevel
dodir /usr/bin
- BINDIR=${ED}/usr/bin
- BASE=${ED}/usr/$(get_libdir)/ocaml
+ BINDIR="${ED}/usr/bin"
+ BASE="${ED}/usr/$(get_libdir)/ocaml"
emake BINDIR="${BINDIR}" INSTALLDIR="${BASE}/lablGL" DLLDIR="${BASE}/stublibs" install
dodoc README CHANGES
if use doc ; then
- insinto /usr/share/doc/${PF}
mv Togl/examples{,.togl}
- doins -r Togl/examples.togl
+ dodoc -r Togl/examples.togl
mv LablGlut/examples{,.glut}
- doins -r LablGlut/examples.glut
+ dodoc -r LablGlut/examples.glut
fi
}
next reply other threads:[~2020-10-20 3:50 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-10-20 3:50 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-02-15 18:38 [gentoo-commits] repo/gentoo:master commit in: dev-ml/lablgl/ Matt Turner
2022-03-10 2:32 Sam James
2021-05-01 21:33 Andreas Sturmlechner
2021-04-22 20:15 Sam James
2021-04-22 2:59 Sam James
2021-04-21 18:55 Sam James
2021-04-21 18:55 Sam James
2020-10-26 6:00 Tim Harder
2020-10-20 3:50 Sam James
2017-04-05 17:50 Markus Meier
2017-01-14 17:14 Mikle Kolyada
2016-06-29 21:14 Michał Górny
2016-06-25 21:02 Michał Górny
2016-06-23 11:45 Alexis Ballier
2016-06-23 11:45 Alexis Ballier
2016-06-23 11:26 Alexis Ballier
2016-06-21 21:04 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1603165617.f7d6ecb979c70e0a333fb581ca73fff615f91b86.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox